# --
# Kernel/Config.pm - Config file for OTRS kernel
# Copyright (C) 2001-2010 OTRS AG, http://otrs.org/
# --
# $Id: Config.pm.dist,v 1.23 2010/01/13 22:25:00 martin Exp $
# --
# This software comes with ABSOLUTELY NO WARRANTY. For details, see
# the enclosed file COPYING for license information (AGPL). If you
# did not receive this file, see http://www.gnu.org/licenses/agpl.txt.
# --
#  Note:
#
#  -->> OTRS does have a lot of config settings. For more settings
#       (Notifications, Ticket::ViewAccelerator, Ticket::NumberGenerator,
#       LDAP, PostMaster, Session, Preferences, ...) see
#       Kernel/Config/Defaults.pm and copy your wanted lines into "this"
#       config file. This file will not be changed on update!
#
# --

package Kernel::Config;

sub Load {
    my $Self = shift;


    $Self->{'ProductName'} =  'OpDesk';

    $Self->{'AuthModule'} = 'Kernel::System::Auth::OpMon';
    $Self->{'OpMon::DBConfigFile'} = '/usr/local/opmon/etc/db.php';

    $Self->{'DatabaseHost'} = 'localhost';
    $Self->{'Database'} = 'otrs';
    $Self->{'DatabaseUser'} = 'otrs';
    $Self->{'DatabasePw'} = 'hot';
    $Self->{DatabaseDSN} = "DBI:mysql:database=$Self->{Database};host=$Self->{DatabaseHost};";
    $Self->{'SecureMode'} = '1';

    $Self->{Home} = '/opt/otrs';

    # $Self->{SessionUseCookie} = 0;
    # $Self->{CheckMXRecord} = 0;

    $Self->{'DefaultCharset'} = 'utf-8';
    #$Self->{'Loader::Agent::DefaultSelectedSkin'} =  'opmon';
    
    # SOAP config
    $Self->{'SOAP::Password'} =  'opmon';
    $Self->{'SOAP::User'} =  'opmon';
    
    # OpMon Integration
	delete $Self->{'Nagios::Acknowledge::HTTP::Password'};
	delete $Self->{'Nagios::Acknowledge::HTTP::User'};
	delete $Self->{'Nagios::Acknowledge::HTTP::URL'};
	$Self->{'Nagios::Acknowledge::NamedPipe::Service'} =  '-h <HOST_NAME> -s <SERVICE_NAME> -c <TicketNumber>';
	$Self->{'Nagios::Acknowledge::NamedPipe::Host'} =  '-h <HOST_NAME> -c <TicketNumber>';
	$Self->{'Nagios::Acknowledge::NamedPipe::CMD'} =  '/var/local/opmon/utils/otrs/otrs_addcomment.php -u opmonadmin <OUTPUTSTRING>';
	$Self->{'Nagios::Acknowledge::Type'} =  'pipe';
	$Self->{'SystemMonitoring::LinkTicketWithCI'} =  '1';
	delete $Self->{'SystemMonitoring::SetIncidentState'};
	$Self->{'PostMaster::PreFilterModule'}->{'00-SystemMonitoring'} =  {
	  'ArticleType' => 'note-report',
	  'CloseActionState' => 'closed successful',
	  'ClosePendingTime' => '172800',
	  'CloseTicketRegExp' => 'OK|UP',
	  'DefaultService' => 'Host',
	  'FreeTextHost' => '1',
	  'FreeTextService' => '2',
	  'FreeTextState' => '1',
	  'FromAddressRegExp' => 'opmon@opservices.com.br',
	  'HostRegExp' => '^.*<!--(.+);.*;.+-->.*$',
	  'Module' => 'Kernel::System::PostMaster::Filter::SystemMonitoring',
	  'NewTicketRegExp' => 'CRITICAL|DOWN',
	  'SenderType' => 'system',
	  'ServiceRegExp' => '^.*<!--.+;(.+);.+-->.*$',
	  'StateRegExp' => '^.*<!--.+;.*;(.+)-->.*$'
	};
	delete $Self->{'PostMaster::PreFilterModule'}->{'1-SystemMonitoring'};
}

# ---------------------------------------------------- #
# needed system stuff (don't edit this)                #
# ---------------------------------------------------- #
use strict;
use warnings;

use vars qw(@ISA $VERSION);
$VERSION = qw($Revision: 1.23 $)[1];

use Kernel::Config::Defaults;
push (@ISA, 'Kernel::Config::Defaults');

# -----------------------------------------------------#

1;
